Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/507

  

Description

Traceback (most recent call last):

    16: from /sbin/foreman-installer:8:in `<main>'

    15: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/kafo_configure.rb:16

2:in `run'

    14: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in 

`run'

    13: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/kafo_configure.rb:11

8:in `run'

    12: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `

run'

    11: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/kafo_configure.rb:15

5:in `execute'

    10: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/kafo_configure.rb:42

4:in `run_installation'

     9: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/hooking.rb:49:in `ex

ecute'

     8: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/hooking.rb:49:in `ea

ch'

     7: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/hooking.rb:51:in `bl

ock in execute'

     6: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/hook_context.rb:16:i

n `execute'

     5: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/hook_context.rb:16:i

n `instance_exec'

     4: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/hooking.rb:34:in `bl

ock (4 levels) in load'

     3: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-4.1.0/lib/kafo/hooking.rb:34:in `in

stance_eval'

     2: from /usr/share/foreman-installer/katello/hooks/pre/10-reset_feature.rb:185:in `block (4 l

evels) in load'

     1: from /usr/share/foreman-installer/katello/hooks/pre/10-reset_feature.rb:7:in `reset'

/usr/share/foreman-installer/hooks/boot/03-foreman-maintain-extensions.rb:25:in `stop_services': w

rong number of arguments (given 0, expected 1) (ArgumentError)

 start_services and stop_services need services = nil to make the arg optional: 

https://github.com/theforeman/foreman-installer/blame/develop/hooks/boot/03-foreman-maintain-extensions.rb#L25

Related issues:

Related to Installer - Bug #29512: foreman-installer --reset fails with 'Coul... Closed

Associated revisions

Revision 94207e8b - 05/26/2020 08:12 PM - Ewoud Kohl van Wijngaarden

Refs #29512 - Add a default to stop_services

d687c2fa56efb223781078564f45f19310df0306 added this but it's also called
https://github.com/theforeman/foreman-installer/blame/develop/hooks/boot/03-foreman-maintain-extensions.rb#L25


without arguments.

Fixes #29906

History

#1 - 05/26/2020 03:47 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/507 added

#2 - 05/26/2020 08:35 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #29512: foreman-installer --reset fails with 'Could not find foreman_maintain' added

#3 - 05/26/2020 09:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|94207e8ba6b153c3b8c86231fdb18931c1ec22d5.

#4 - 06/02/2020 11:56 AM - Ewoud Kohl van Wijngaarden

- Category set to foreman-installer script

- Target version set to 2.1.0

- Triaged changed from No to Yes

- Fixed in Releases 2.1.0 added
